#define MESSAGES_VERSION "2.9.4"
#define DEFAULT_TITLE 0
#define CANT_FIND_PRINTCAP_FILE 1
#define USAGE_FOR 2
#define CANNOT_INSTALL_XPM_ICON 3
#define NO_MATCH_FOUND_FOR_VISUAL 4
#define BAD_VISUAL_TYPE_SPECIFICATION 5
#define YOUR_CANVAS_DEPTH_IS_THAT_MANY_BITS 6
#define SEPARATOR_STRIP_ONE 7
#define WARNING_ONE 8
#define SEPARATOR_STRIP_TWO 9
#define WARNING_TWO_A 10
#define WARNING_TWO_B 11
#define WARNING_THREE_A 12
#define WARNING_THREE_B 13
#define WARNING_THREE_C 14
#define WARNING_ALPHA_NO_SUPPORT 15
#define WARNING_ALPHA_INCOMPLETE_SUPPORT 16
#define GO_UP_ONE_DIRECTORY_LEVEL 17
#define NO_FILE_NAME_SUPPLIED 18
#define UNABLE_TO_GET_REGION 19
#define UNABLE_TO_CREATE_IMAGE 20
#define UNABLE_TO_CREATE_IMAGE_FOR_SAVING 21
#define UNABLE_TO_LOAD_FILTER 22
#define UNABLE_TO_LOAD_PROCEDURE 23
#define ERROR_SAVING_FILE 24
#define NO_REGION_SELECTED_PRESENTLY 25
#define NO_SUCH_FILE_OR_DIRECTORY 26
#define UNABLE_TO_OPEN_INPUT_FILE 27
#define IMAGE_FORMATS 28
#define END_IMAGE_FORMATS 49
#define POSITION 49
#define VALUE 50
#define RED_COLOR 51
#define GREEN_COLOR 52
#define BLUE_COLOR 53
#define RED_VARIANCE 54
#define GREEN_VARIANCE 55
#define BLUE_VARIANCE 56
#define SNAP_SPACING_X 57
#define SNAP_SPACING_Y 58
#define ENTER_DESIRED_SNAP_SPACING 59
#define LEVELS 60
#define NUMBER_OF_UNDO_LEVELS 61
#define IMAGE_NUMBER 62
#define RECALL_AN_IMAGE 63
#define REMOVE_AN_IMAGE 64
#define REMOVE_FILE 65
#define ZOOM 66
#define CHANGE_ZOOM_FACTOR_FOR_IMAGE 67
#define ANGLE_IN_DEGREES 68
#define ENTER_DESIRED_ROTATION 69
#define ENTER_TWOBYTWO_MATRIX_ENTRIES 70
#define ENTER_POINTS 71
#define MUST_BE_ODD 72
#define ENTER_MASK_SIZE_FOR_OIL_PAINT_EFFECT 73
#define ENTER_MASK_SIZE_FOR_SMOOTHING_EFFECT 74
#define ENTER_DESIRED_NOISE_VARIANCE 75
#define DISTANCE_PIXELS 76
#define ENTER_THE_DESIRED_SPREAD_DISTANCE 77
#define WIDTH_X_HEIGHT_OR_SINGLE_NUMBER 78
#define ENTER_DESIRED_MEGAPIXEL_SIZE 79
#define ENTER_MASK_SIZE_FOR_DESPECKLE_FILTER 80
#define BLACK_LEVEL 81
#define WHITE_LEVEL 82
#define ENTER_LEVELS_FOR_CONTRAST_ADJUSTMENT 83
#define ENTER_THRESHOLD_FOR_SOLARIZE_FILTER 84
#define ENTER_DESIRED_SHIFT_FOR_RGB_COMPONENTS 85
#define RED_SHIFT 86
#define GREEN_SHIFT 87
#define BLUE_SHIFT 88
#define ENTER_DESIRED_NUMBER_OF_COLORS 89
#define ENTER_DESIRED_ALPHA_CHANNEL_PARAMETERS 90
#define ALPHA_CHANNEL_SHOULD_BE_CREATED 91
#define ALPHA_MODE 92
#define ALPHA_BACKGROUND_VALUE 93
#define ALPHA_FOREGROUND_VALUE 94
#define ALPHA_THRESHOLD_VALUE 95
#define EXPANSION_PARAMETERS 96
#define EXPANSION_FACTOR 97
#define DO_INTERPOLATION 98
#define DOWNSCALING_PARAMETERS 99
#define DOWNSCALING_FACTOR 100
#define SIZE_WIDTH 101
#define SIZE_HEIGHT 102
#define SIZE_ZOOM 103
#define ENTER_DESIRED_IMAGE_SIZE 104
#define WIDTH_AND_DESIRED_LINE_STYLE 105
#define LINE_WIDTH 106
#define DASH_STYLE 107
#define CAP_STYLE 108
#define CAP_HINT 109
#define JOIN_STYLE 110
#define JOIN_HINT 111
#define GRID_DRAWING_MODE 112
#define GRID_LINES_OR_OTHER 113
#define GRID_USES_SNAP 114
#define GRID_COLOR 115
#define OPACITY 116
#define ENTER_THE_DESIRED_BRUSH_PARAMETERS 117
#define DENSITY 118
#define ENTER_THE_DESIRED_FRACTAL_DENSITY 119
#define DYNAMIC_WIDTH 120
#define DYNAMIC_MASS 121
#define DYNAMIC_DRAG 122
#define ENTER_THE_DESIRED_DYNAMIC_PENCIL_PARAMETERS 123
#define SPRAY_RADIUS 124
#define SPRAY_DENSITY 125
#define SPRAY_RATE 126
#define ENTER_THE_DESIRED_SPRAY_PARAMETERS 127
#define ARROWHEAD_TYPE 128
#define ARROWHEAD_SIZE 129
#define ARROWHEAD_ANGLE 130
#define ENTER_THE_DESIRED_ARROWHEAD_PARAMETERS 131
#define BOX_ROUND_CORNER_ABSOLUTE_SIZE 132
#define BOX_ROUND_CORNER_RELATIVE_SIZE 133
#define ENTER_THE_DESIRED_ROUND_CORNER_SIZE 134
#define NUMBER_OF_SIDES_OF_POLYGON 135
#define STARLIKE_POLYGON_INNER_RATIO 136
#define ENTER_THE_DESIRED_SPECIAL_POLYGON_PARAMETERS 137
#define GRADIENT_ANGLE 138
#define GRADIENT_PAD 139
#define GRADIENT_HORIZONTAL_OFFSET 140
#define GRADIENT_VERTICAL_OFFSET 141
#define GRADIENT_STEPS 142
#define ENTER_THE_DESIRED_GRADIENT_FILL_PARAMETERS 143
#define PATTERN_WIDTH 144
#define PATTERN_HEIGHT 145
#define ENTER_THE_DESIRED_PATTERN_SIZE 146
#define YOU_MUST_HAVE_AT_LEAST_ONE_ENTRY 147
#define NO_INFORMATION_TO_SAVE 148
#define UNABLE_TO_OPEN_FILE 149
#define UNABLE_TO_OPEN_FILE_FOR_WRITING 150
#define OVERWRITE_FILE 151
#define UNSAVED_CHANGES_WISH_TO_QUIT 152
#define UNSAVED_CHANGES_WISH_TO_CLOSE 153
#define UNSAVED_CHANGES_WISH_TO_REVERT 154
#define RESIZING_WARNING_CANNOT_BE_UNDONE 155
#define AUTOCROP_WARNING_CANNOT_BE_UNDONE 156
#define ARE_YOU_SURE_YOU_WANT_TO_CROP_THE_IMAGE_TO_THE_SIZE_OF_THE_REGION 157
#define BAD_SNAP_SPACING 158
#define BAD_NUMBER_OF_UNDO_LEVELS 159
#define INVALID_ZOOM 160
#define INVALID_MASK_SIZE 161
#define INVALID_NOISE_VARIANCE 162
#define INVALID_SPREAD_DISTANCE 163
#define INVALID_PIXEL_SIZE 164
#define INVALID_WHITE_LEVEL 165
#define INVALID_BLACK_LEVEL 166
#define INVALID_SOLARIZATION_THRESHOLD 167
#define INVALID_RGB_PERCENTAGES 168
#define INVALID_NUMBER_OF_COLORS 169
#define INVALID_SCALING_FACTOR 170
#define INVALID_ALPHA_CHANNEL_PARAMETERS 171
#define UNABLE_TO_CREATE_PAINT_WINDOW_WITH_IMAGE 172
#define FILE_WRITTEN 173
#define FILE_SENT_TO_PRINTER 174
#define INVALID_WIDTH_MUST_BE_GREATER_THAN_ZERO 175
#define DASH_IS_GIVEN_BY_ALTERNATING_THAT_MANY_CHARACTERS 176
#define OPACITY_SHOULD_BE_BETWEEN_ZERO_AND_HUNDRED_PERCENT 177
#define WIDTH_SHOULD_BE_BETWEEN_ONE_AND_ONE_HUNDRED 178
#define MASS_SHOULD_BE_BETWEEN_TEN_AND_TWO_THOUSAND 179
#define DRAG_SHOULD_BE_BETWEEN_ZERO_AND_FIFTY 180
#define RADIUS_SHOULD_BE_BETWEEN_ONE_AND_ONE_HUNDRED 181
#define DENSITY_SHOULD_BE_BETWEEN_ONE_AND_FIVE_HUNDRED 182
#define RATE_SHOULD_BE_BETWEEN_ONE_AND_FIVE_HUNDRED 183
#define TYPE_SHOULD_BE_BETWEEN_ONE_AND_MAXTYPE 184
#define SIZE_SHOULD_BE_BETWEEN_ONE_AND_ONE_THOUSAND 185
#define ANGLE_SHOULD_BE_BETWEEN_ZERO_AND_SIXTY 186
#define NUMBER_OF_SIDES_SHOULD_BE_BETWEEN_THREE_AND_ONE_HUNDRED 187
#define BOX_ROUND_CORNER_ABSOLUTE_SIZE_SHOULD_BE_BETWEEN_ZERO_AND_ONE_THOUSAND 188
#define BOX_ROUND_CORNER_RELATIVE_SIZE_SHOULD_BE_BETWEEN_ZERO_AND_ONE 189
#define BOX_ROUND_CORNER_ABSOLUTE_AND_RELATIVE_SIZE_CANNOT_BE_BOTH_POSITIVE 190
#define INNER_RATIO_SHOULD_BE_BETWEEN_ZERO_AND_ONE 191
#define HORIZONTAL_OFFSET_SHOULD_BE_BETWEEN_PLUS_MINUS_HUNDRED_PERCENT 192
#define VERTICAL_OFFSET_SHOULD_BE_BETWEEN_PLUS_MINUS_HUNDRED_PERCENT 193
#define PAD_SHOULD_BE_BETWEEN_PLUS_MINUS_FOURTY_NINE_PERCENT 194
#define ANGLE_SHOULD_BE_BETWEEN_PLUS_MINUS_THREE_HUNDRED_SIXTY_DEGREES 195
#define NUMBER_OF_STEPS_SHOULD_BE_BETWEEN_ONE_AND_THREE_HUNDRED 196
#define LOST_ERROR_TERM 197
#define FONT_SELECT_DESIRED_PROPERTIES 198
#define UNABLE_TO_LOAD_REQUESTED_FONT 199
#define YOU_MUST_FIRST_COMPILE_A_C_SCRIPT 200
#define C_SCRIPT_SUCCESSFULLY_COMPILED_AND_LINKED 201
#define C_SCRIPT_COULD_NOT_BE_COMPILED_OR_LINKED 202
#define INVALID_WIDTH 203
#define INVALID_HEIGHT 204
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_GREATER_THAN_ZERO 205
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_LESS_THAN_HUNDRED_TWENTY_NINE 206
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_BETWEEN_ZERO_AND_TWO_HUNDRED_FIFTY_SIX 207
#define DIRECTORIES 208
#define FILES 209
#define LIST_LOADED_FILES 210
#define FILE_DOES_NOT_EXIST 211
#define FILE_NOT_IN_THE_LIST 212
#define OPEN_FILE_NAMED 213
#define SAVE_IN_FILE 214
#define LOAD_FROM_FILE 215
#define IMAGE_NUMBER_OUT_OF_RANGE 216
#define OUT_OF_MEMORY 217
#define UNABLE_TO_ALLOCATE_SUFFICIENT_COLOR_ENTRIES 218
#define TRY_EXITING_OTHER_COLOR_INTENSIVE_APPLICATIONS 219
#define SHOULDNT_HAPPEN 220
#define ERROR_IN_XINTERNATOM 221
#define CANNOT_GRAB_POINTER 222
#define INSUFFICIENT_RESOURCES_FOR_OPERATION 223
#define PROBABLY_NOT_ENOUGH_MEMORY_TO_ALLOCATE_PIXMAP 224
#define ERROR_CODE 225
#define UNKNOWN_IMAGE_FORMAT 226
#define OUT_OF_MEMORY_ALLOCATING_A_ROW 227
#define OUT_OF_MEMORY_ALLOCATING_AN_ARRAY 228
#define READ_ERROR 229
#define WRITE_ERROR 230
#define A_FILE_READ_ERROR_OCCURRED_AT_SOME_POINT 231
#define A_FILE_WRITE_ERROR_OCCURRED_AT_SOME_POINT 232
#define JUNK_IN_FILE_WHERE_BITS_SHOULD_BE 233
#define READ_ERROR_READING_MAGIC_NUMBER 234
#define JUNK_IN_FILE_WHERE_AN_INTEGER_SHOULD_BE 235
#define CANT_HAPPEN 236
#define MAXVAL_IS_TOO_LARGE 237
#define BAD_MAGIC_NUMBER_NOT_A_PPM_PGM_OR_PBM_FILE 238
#define OUT_OF_MEMORY_COMPUTING_HASH_TABLE 239
#define OUT_OF_MEMORY_ALLOCATING_HASH_TABLE 240
#define OUT_OF_MEMORY_GENERATING_HISTOGRAM 241
#define SAME_COLOR_FOUND_TWICE 242
#define COLORHIST_OUT_OF_MEMORY 243
#define FATAL_LIBPNG_ERROR_LONGJMP_CALLED_WHILE_READING 244
#define FATAL_LIBPNG_ERROR_LONGJMP_CALLED_WHILE_WRITING 245
#define ERROR_PLTE_CHUNK_NOT_FOUND_IN_PALETTE_IMAGE 246
#define STRIPPING_48_BIT_RGB_IMAGE_TO_24_BITS 247
#define STRIPPING_16_BIT_GRAYSCALE_IMAGE_TO_8_BITS 248
#define STRIPPING_64_BIT_RGBA_IMAGE_TO_32_BITS 249
#define STRIPPING_32_BIT_GRAY_ALPHA_IMAGE_TO_16_BITS 250
#define UNKNOWN_PNG_IMAGE_TYPE 251
#define READPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS_1 252
#define READPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS_2 253
#define UNABLE_TO_ALLOCATE_TEMPORARY_STORAGE_FOR_ALPHA_IMAGE 254
#define READPNG_UNABLE_TO_MALLOC_PNG_DATA 255
#define WRITEPNG_CANT_USE_ALPHA_MASK_WITH_COLORMAPPED_IMAGE 256
#define WRITEPNG_SORRY_CANT_WRITE_ALPHA_IMAGES_YET 257
#define WRITEPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS 258
#define XPAINT_FATAL_LIBPNG_ERROR 259
#define XPAINT_EXTREMELY_FATAL_LIBPNG_ERROR 260
#define END_MESSAGES 261

extern String *msgText;
extern int msgNum;
